package com.ccwangluo.accelerator.model

data class Game(
    val list: List<GameInfo>?,
    val total: Int
)


data class GameInfo(
    val announcementList: List<Announcement>?,
    val anotherName: String,
    val boosterPackageName: String?,
    val boosterServer: String?,
    val createdDate: String,
    val dnsServer: String,
    val downloadType : Int,
    val downloadUrl: String,
    val downloadUrlTools : String?,
    val gameName: String,
    val icon: String,
    val id: Int,
    val imgs: String,
    val introduction: String,
    val packageName: String,
    val proxyRules: String?,
    val score: String,
    val size: String,
    val type: Int,
    val version: String,
    val versionTools : String?
)

data class Announcement(
    val addrType: Int,
    val content: String,
    val createName: String,
    val createdDate: String,
    val gameId: Int,
    val id: Int,
    val status: Int,
    val title: String,
    val url: String,
    val type: Int,
    val position : Int = 1
)